Package org.apache.sling.caconfig.resource.spi

## Interface ContextPathStrategy

    @ConsumerType
    public interface ContextPathStrategy

Allows application to define a strategy to find context paths and config references for content paths. A context paths is the root path of a "configuration context", which is a subtree in the resource hierarchy. Each context may have it's own context-aware configuration attached to.0 If multiple context path strategy implementations are defined the results of them are merged.

### Method Summary

All Methods Instance Methods Abstract Methods
`@NotNull Iterator<ContextResource>` `findContextResources​(@NotNull org.apache.sling.api.resource.Resource resource)` Finds context paths for the given resource.

### Method Detail

#### findContextResources

    @NotNull
    @NotNull Iterator<ContextResource> findContextResources​(@NotNull
                                                            @NotNull org.apache.sling.api.resource.Resource resource)

Finds context paths for the given resource.

Parameters:
  `resource` - Context resource
Returns:
  Root resource and config reference for each context found (in order of closest matching first). Only one of the parent resources or the resource itself may be included in the result. If none are found an empty list is returned.